Home Information Classes Download Usage Mail List Requirements Links Tutorial

# StkError Class Reference

STK error handling class. More...

`#include <Stk.h>`

List of all members.

## Public Member Functions

| StkError (const char *p, TYPE tipe=StkError::UNSPECIFIED)
| The constructor.
virtual | ~StkError (void)
| The destructor.
virtual void | printMessage (void)
| Prints "thrown" error message to stdout.
virtual const TYPE & | getType (void)
| Returns the "thrown" error message TYPE.
virtual const char * | getMessage (void) const
| Returns the "thrown" error message string.

## Detailed Description

STK error handling class.

This is a fairly abstract exception handling class. There could be sub-classes to take care of more specific error conditions ... or not.

Definition at line 42 of file Stk.h.

The documentation for this class was generated from the following file:

- Stk.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.